## GomFilter GomFilter |

## Functions

#define | GOM_FILTER_CONST()
gchar * | gom_filter_get_sql ()
GArray * | gom_filter_get_values ()
GomFilter * | gom_filter_new_sql ()
GomFilter * | gom_filter_new_or ()
GomFilter * | gom_filter_new_or_full ()
GomFilter * | gom_filter_new_or_fullv ()
GomFilter * | gom_filter_new_and ()
GomFilter * | gom_filter_new_and_full ()
GomFilter * | gom_filter_new_and_fullv ()
GomFilter * | gom_filter_new_eq ()
GomFilter * | gom_filter_new_neq ()
GomFilter * | gom_filter_new_gt ()
GomFilter * | gom_filter_new_gte ()
GomFilter * | gom_filter_new_lt ()
GomFilter * | gom_filter_new_lte ()
GomFilter * | gom_filter_new_like ()
GomFilter * | gom_filter_new_glob ()
GomFilter * | gom_filter_new_is_null ()
GomFilter * | gom_filter_new_is_not_null ()

## Properties

GomFilterMode | mode | Read / Write / Construct Only
char * | sql | Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GomFilter

## Description

## Functions

### GOM_FILTER_CONST()

    #define GOM_FILTER_CONST(obj)      (G_TYPE_CHECK_INSTANCE_CAST ((obj), GOM_TYPE_FILTER, GomFilter const))

### gom_filter_get_sql ()

    gchar *
    gom_filter_get_sql (GomFilter *filter,
                        GHashTable *table_map);

### gom_filter_get_values ()

    GArray *
    gom_filter_get_values (GomFilter *filter);

Fetches the list of values that should be applied in order when building the GomCommand.

#### Parameters

filter | A GomFilter. | [in]

#### Returns

An array of values for the SQL.

[transfer full][element-type GValue]

### gom_filter_new_sql ()

    GomFilter *
    gom_filter_new_sql (const gchar *sql,
                        const GArray *values);

Creates a new GomFilter using the SQL and values provided.

#### Parameters

sql | A UTF-8 string. | [in]
values | An array of values. | [in][transfer none][element-type GValue]

#### Returns

A new GomFilter.

[transfer full]

### gom_filter_new_or ()

    GomFilter *
    gom_filter_new_or (GomFilter *left,
                       GomFilter *right);

Creates a new filter that requires either the left or right filters equate to TRUE.

[constructor]

#### Parameters

left | A GomFilter. | [in]
right | A GomFilter. | [in]

#### Returns

A GomFilter.

[transfer full]

### gom_filter_new_or_full ()

    GomFilter *
    gom_filter_new_or_full (GomFilter *first,
                            ...);

Creates a new filter that requires either of the filters passed as arguments equate to TRUE.

[constructor]

#### Parameters

first | A GomFilter. | [in]
... | A `NULL`-terminated list of GomFilter. | [in]

#### Returns

A GomFilter.

[transfer full]

### gom_filter_new_or_fullv ()

    GomFilter *
    gom_filter_new_or_fullv (GomFilter **filter_array);

Creates a new filter that requires either of the filters passed as arguments equate to TRUE.

[constructor]

#### Parameters

filter_array | A `NULL`-terminated array of GomFilter. | [in]

#### Returns

A GomFilter.

[transfer full]

### gom_filter_new_and ()

    GomFilter *
    gom_filter_new_and (GomFilter *left,
                        GomFilter *right);

Creates a new filter that requires that both left and right filters equate to TRUE.

[constructor]

#### Parameters

left | A GomFilter. | [in]
right | A GomFilter. | [in]

#### Returns

A GomFilter.

[transfer full]

### gom_filter_new_and_full ()

    GomFilter *
    gom_filter_new_and_full (GomFilter *first,
                             ...);

Creates a new filter that requires that all filters passed as arguments equate to TRUE.

[constructor]

#### Parameters

first | A GomFilter. | [in]
... | A `NULL`-terminated list of GomFilter. | [in]

#### Returns

A GomFilter.

[transfer full]

### gom_filter_new_and_fullv ()

    GomFilter *
    gom_filter_new_and_fullv (GomFilter **filter_array);

Creates a new filter that requires that all filters passed as arguments equate to TRUE.

[constructor]

#### Parameters

filter_array | A `NULL`-terminated array of GomFilter. | [in]

#### Returns

A GomFilter.

[transfer full]

### gom_filter_new_eq ()

    GomFilter *
    gom_filter_new_eq (GType resource_type,
                       const gchar *property_name,
                       const GValue *value);

### gom_filter_new_neq ()

    GomFilter *
    gom_filter_new_neq (GType resource_type,
                        const gchar *property_name,
                        const GValue *value);

### gom_filter_new_gt ()

    GomFilter *
    gom_filter_new_gt (GType resource_type,
                       const gchar *property_name,
                       const GValue *value);

### gom_filter_new_gte ()

    GomFilter *
    gom_filter_new_gte (GType resource_type,
                        const gchar *property_name,
                        const GValue *value);

### gom_filter_new_lt ()

    GomFilter *
    gom_filter_new_lt (GType resource_type,
                       const gchar *property_name,
                       const GValue *value);

### gom_filter_new_lte ()

    GomFilter *
    gom_filter_new_lte (GType resource_type,
                        const gchar *property_name,
                        const GValue *value);

### gom_filter_new_like ()

    GomFilter *
    gom_filter_new_like (GType resource_type,
                         const gchar *property_name,
                         const GValue *value);

### gom_filter_new_glob ()

    GomFilter *
    gom_filter_new_glob (GType resource_type,
                         const gchar *property_name,
                         const GValue *value);

### gom_filter_new_is_null ()

    GomFilter *
    gom_filter_new_is_null (GType resource_type,
                            const gchar *property_name);

### gom_filter_new_is_not_null ()

    GomFilter *
    gom_filter_new_is_not_null (GType resource_type,
                                const gchar *property_name);

## Property Details

### The `“mode”` property

      “mode”                     GomFilterMode

The mode of the filter.

Owner: GomFilter

Flags: Read / Write / Construct Only

Default value: GOM_FILTER_SQL

### The `“sql”` property

      “sql”                      char *

The SQL for the filter.

Owner: GomFilter

Flags: Write / Construct Only

Default value: NULL